# CHANGELOG

## [1.21.0](https://github.com/stone-payments/customer-js-sdk/tree/release/v1.20.1) - 2019-03-25
- [Adds a endpoint for simulating sales](https://stone-payments.github.io/customer-api-gateway/#tag/Vendas-Simulador)

## [1.20.1](https://github.com/stone-payments/customer-js-sdk/tree/release/v1.20.1) - 2019-03-20

### Fixed
- [Adapt Credit Lock to new contract](https://stonepayments.atlassian.net/browse/APIDC-4152)

## [1.20.0](https://github.com/stone-payments/customer-js-sdk/tree/release/v1.20.0) - 2019-03-12

### Changed
- [Interface payload for receivables files endpoint](https://stonepayments.atlassian.net/browse/RC-2940)

## [1.19.0](https://github.com/stone-payments/customer-js-sdk/tree/release/v1.19.0) - 2019-03-01

### Added
- [Post endpoint for receivables files in partial lock module](https://stonepayments.atlassian.net/browse/RC-2916)

## [1.18.0](https://github.com/stone-payments/customer-js-sdk/tree/release/v1.18.0) - 2019-02-28

### Added
- [Status parameter to credit-lock-contracts endpoint](https://stonepayments.atlassian.net/browse/RC-2927)

## [1.17.0](https://github.com/stone-payments/customer-js-sdk/tree/release/v1.17.0) - 2019-02-26

### Fixed
- [Make credit lock params optional](https://stonepayments.atlassian.net/browse/APIDC-4063)

### Added
- [Financial institutions search in partial lock module](https://stonepayments.atlassian.net/browse/RC-2914)

## [1.16.0](https://github.com/stone-payments/customer-js-sdk/tree/release/v1.16.0) - 2019-02-22

### Fixed
- [Export merchant addresses interface](https://github.com/stone-payments/customer-js-sdk/tree/hotFix/export_correct_addresses_interface)

## [1.15.1](https://github.com/stone-payments/customer-js-sdk/tree/hotFix/export_correct_addresses_interface) - 2019-02-22

### Fixed
- [Export merchant addresses interface](https://github.com/stone-payments/customer-js-sdk/tree/hotFix/export_correct_addresses_interface)

## [1.15.0](https://github.com/stone-payments/customer-js-sdk/tree/v1.15.0) - 2019-02-22

### Added
- [Bank account status in partial lock module](https://stonepayments.atlassian.net/browse/RC-2895)
- [Credit lock contracts in partial lock module](https://stonepayments.atlassian.net/browse/RC-2894)

## [1.14.0](https://github.com/stone-payments/customer-js-sdk/tree/v1.14.0) - 2019-02-21

### Fixed
- Change `defaultResponseParser` to not process responses with 204 status.

## [1.13.0](https://github.com/stone-payments/customer-js-sdk/tree/v1.13.0) - 2019-02-15

### Added
- [List domain banks in affiliation module ](https://github.com/stone-payments/customer-js-sdk/commit/52d2945ca8ba5bdf04d863ba7e80bad02bae08bf)
- [BankAccounts route in affiliation module ](https://github.com/stone-payments/customer-js-sdk/commit/52d2945ca8ba5bdf04d863ba7e80bad02bae08bf)
- [Include credential module](https://github.com/stone-payments/customer-js-sdk/commit/d158de46ba5da9cff8582e3d92b9ac91c64b247e)

## [1.12.0](https://github.com/stone-payments/customer-js-sdk/tree/v1.12.0) - 2019-02-04

### Fix
- [Update export affiliation module](https://github.com/stone-payments/customer-js-sdk/commit/52d2945ca8ba5bdf04d863ba7e80bad02bae08bf)

## [1.11.0](https://github.com/stone-payments/customer-js-sdk/tree/v1.11.0) - 2019-01-31

### Added
- [add affiliation module and this routes](https://stonepagamentos.visualstudio.com/ris-affiliation/_sprints/taskboard/ris-affiliation%20Team/ris-affiliation/Sprint%2026)

## [1.10.0](https://github.com/stone-payments/customer-js-sdk/tree/v1.10.0) - 2019-01-28

### Added
- [Search postal-code get method](https://stonepayments.atlassian.net/browse/RC-2855)

## [1.9.0](https://github.com/stone-payments/customer-js-sdk/tree/v1.9.0) - 2019-01-07

### Fixed
- Updated Sling Helpers version.

# CHANGELOG

## [1.8.0](https://github.com/stone-payments/customer-js-sdk/tree/v1.8.0) - 2018-12-04

### Added
- `merchants.subscriptions.get` method

## [1.7.0](https://github.com/stone-payments/customer-js-sdk/tree/v1.7.0) - 2018-11-12

### Added
- `notifications.messages.get` method (PortalAPI)

## [1.6.0](https://github.com/stone-payments/customer-js-sdk/tree/v1.6.0) - 2018-11-08

### Added
- Contact Types get method
- Add contact method (`merchants.contacts.post`)
- Expose PORTAL_API_URL
- Add settlements.prepayInformations.get method (PortalAPI)


## 1.5.1 - 2018-10-22

### Fixed
- Sling Helpers Version


## [1.5.0](https://github.com/stone-payments/customer-js-sdk/tree/v1.5.0) - 2018-10-11

### Added
- Payments Reports endpoint


## [1.4.0](https://github.com/stone-payments/customer-js-sdk/tree/v1.4.0) - 2018-10-04

### Added
- Authorizations endpoint
- Authorizations Report endpoint


## [1.3.0](https://github.com/stone-payments/customer-js-sdk/tree/v1.3.0) - 2018-10-02

### Fixed
- Remove `slingSdk.getStore()` in favour of `onSdkAvailable()`.


## [1.2.0](https://github.com/stone-payments/customer-js-sdk/tree/v1.2.0) - 2018-09-27

### Removed
- Removed browser field from package.json.


## [1.1.0](https://github.com/stone-payments/customer-js-sdk/tree/v1.1.0) - 2018-09-27

### Fixed
- Main entry point is now "dist/cjs/es5/index.js".


## [1.0.5](https://github.com/stone-payments/customer-js-sdk/tree/v1.0.5) - 2018-09-26

## Fixed
- Update package to use a new build process and sling-web-framework dependencies.


## [1.0.4](https://github.com/stone-payments/customer-js-sdk/tree/v1.0.4) - 2018-08-28

## Fixed
- Update external sling-web dependencies versions'.


## [1.0.3](https://github.com/stone-payments/customer-js-sdk/tree/v1.0.3) - 2018-08-28

## Added
- Module path to package.json.


## [1.0.2](https://github.com/stone-payments/customer-js-sdk/tree/v1.0.2) - 2018-08-24

## Added
- Redux-thunk dependency.

## Fixed
- Turn absolute imports into relative imports.


## [1.0.1](https://github.com/stone-payments/customer-js-sdk/tree/v1.0.1) - 2018-08-23

### Removed
- Private attribute in package.json.


## [1.0.0](https://github.com/stone-payments/customer-js-sdk/tree/v1.0.0) - 2018-08-22

### Added
- New repository: customer-js-sdk

### Changed
- Always use crossBalance = true.
