"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getSalesReport = void 0;

var _index = require("./index.js");

var sdk = _interopRequireWildcard(require("../../v0/src/index.js"));

function _interopRequireWildcard(obj) {
  if (obj && obj.__esModule) {
    return obj;
  } else {
    var newObj = {};

    if (obj != null) {
      for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {};

          if (desc.get || desc.set) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }
    }

    newObj.default = obj;
    return newObj;
  }
}

var getSalesReport = function getSalesReport(_ref, instance) {
  var affiliationCodes = _ref.stonecode,
      apitoken = _ref.apitoken,
      startDate = _ref.startdate,
      finalDate = _ref.finaldate;
  return (0, _index.sdkRequest)(function () {
    return sdk.sales.report.get({
      affiliationCodes: affiliationCodes,
      startDate: startDate,
      finalDate: finalDate
    });
  }, instance, apitoken);
};

exports.getSalesReport = getSalesReport;