"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AddressesInterface = void 0;

var _slingHelpers = require("sling-helpers");

var AddressesInterface = {
  typeId: (0, _slingHelpers.nullable)(Number),
  entranceNumber: (0, _slingHelpers.nullable)(Number),
  streetName: (0, _slingHelpers.nullable)(String),
  neighborhood: (0, _slingHelpers.nullable)(String),
  postalCode: (0, _slingHelpers.nullable)(String),
  cityName: (0, _slingHelpers.nullable)(String),
  countrySubdivisionCode: (0, _slingHelpers.nullable)(String)
};
exports.AddressesInterface = AddressesInterface;