"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.bankAccountsInterface = void 0;

var _slingHelpers = require("sling-helpers");

var bankAccountsInterface = {
  accountNumber: String,
  accountNumberVerificationCode: String,
  agencyNumber: String,
  agencyNumberVerificationCode: (0, _slingHelpers.nullable)(String),
  bankId: Number,
  statusId: Number,
  typeId: Number,
  centralizedPayment: Boolean
};
exports.bankAccountsInterface = bankAccountsInterface;