"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.remove = exports.set = exports.get = void 0;

var _headers = require("./headers.js");

const AUTH_KEY = 'Authorization';

const get = () => (0, _headers.get)()[AUTH_KEY];

exports.get = get;

const set = (type, token) => {
  if (type && token) {
    (0, _headers.append)(AUTH_KEY, `${type} ${token}`);
  }
};

exports.set = set;

const remove = () => {
  (0, _headers.remove)(AUTH_KEY);
};

exports.remove = remove;