import { service as paymentsService } from './payments/payments.js';
import { service as detailsService } from './details/details.js';
import { service as operationsService } from './operations/operations.js';
import { service as walletTypesService } from './walletTypes/walletTypes.js';
import { service as statusService } from './status/status.js';
import { service as operationsCategoriesService } from './operationsCategories/operationsCategories.js';
import { service as reportsService } from './reports/reports.js';

const payments = paymentsService();
const details = detailsService();
const operations = operationsService();
const walletTypes = walletTypesService();
const status = statusService();
const operationsCategories = operationsCategoriesService();
const reports = reportsService();

export {
  payments,
  operations,
  details,
  walletTypes,
  status,
  operationsCategories,
  reports,
};
