import transactionsReducer from './transactionsReducer.js';

describe('transactionsReducer', () => {
  const state = {
    state: 'xpto',
  };
  const data = ['mock_1', 'mock_2'];

  it('Should return state with brands.', () => {
    const action = {
      type: 'GET_BRANDS_INFO',
      data,
    };
    expect(transactionsReducer(state, action))
      .to.eql({ state: 'xpto', brandsInfo: data });
  });

  it('Should return state with product types.', () => {
    const action = {
      type: 'GET_PRODUCT_TYPES_INFO',
      data,
    };
    expect(transactionsReducer(state, action))
      .to.eql({ state: 'xpto', productTypesInfo: data });
  });
});
