import { validateBaseUrl } from './validateBaseUrl.js';

describe('Validate base url helper', () => {
  it('Should return a valid baseUrl.', () => {
    expect(validateBaseUrl('test/')).to.equal('test/');
  });

  it('Should return a invalid baseUrl.', () => {
    expect(() => validateBaseUrl('test')).to.throw();
  });
});
