"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var _addressesInterface = require("./addressesInterface.js");

var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _request.getRequest;
  var put = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : _request.putRequest;
  return {
    get: get(function (params) {
      return "v0/affiliation/merchants/".concat(params.affiliationCode, "/addresses");
    }),
    put: put(function (params) {
      return "v0/affiliation/merchants/".concat(params.affiliationCode, "/bankaccounts/") + "".concat(params.key);
    }, _addressesInterface.AddressesInterface)
  };
};

exports.service = service;