"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
const initialState = {
  paymentsCalendarInfo: [],
  paymentOperationsInfo: [],
  paymentDetailsInfo: [],
  paymentDetailsInfoByWalletTypeId: [],
  paymentWalletTypesInfo: [],
  paymentStatusInfo: [],
  paymentOperationsCategoriesInfo: []
};

var _default = (state = initialState, action = {}) => {
  switch (action.type) {
    case 'GET_PAYMENTS_CALENDAR_INFO':
      return { ...state,
        paymentsCalendarInfo: action.data
      };

    case 'GET_PAYMENT_OPERATIONS_INFO':
      return { ...state,
        paymentOperationsInfo: action.data
      };

    case 'GET_PAYMENT_DETAILS_INFO':
      return { ...state,
        paymentDetailsInfo: action.data
      };

    case 'GET_PAYMENT_DETAILS_INFO_BY_WALLET_TYPE_ID':
      return { ...state,
        paymentDetailsInfoByWalletTypeId: action.data
      };

    case 'GET_PAYMENT_WALLET_TYPES':
      return { ...state,
        paymentWalletTypesInfo: action.data
      };

    case 'GET_PAYMENT_STATUS':
      return { ...state,
        paymentStatusInfo: action.data
      };

    case 'GET_PAYMENT_OPERATIONS_CATEGORIES':
      return { ...state,
        paymentOperationsCategoriesInfo: action.data
      };

    default:
      return state;
  }
};

exports.default = _default;