import { getRequest, putRequest } from '../../../helpers/request.js';
import { bankAccountsInterface } from './bankAccountsInterface.js';

export const service = (get = getRequest, put = putRequest) => ({
  get: get(params => `v0/affiliation/merchants/${params.affiliationCode}/bankaccounts`),
  put: put(params => `v0/affiliation/merchants/${params.affiliationCode}/bankaccounts/` +
    `${params.key}`, bankAccountsInterface),
});
