import { getRequest, putRequest, postRequest } from '../../../helpers/request.js';
import { contactsInterface } from './contactsInterface.js';

export const service = (
  get = getRequest,
  put = putRequest,
  post = postRequest,
) => ({
  get: get(params => `v0/merchants/${params.affiliationCode}/contacts`),
  put: put(params => `v0/merchants/${params.affiliationCode}/contacts/` +
    `${params.id}`, contactsInterface),
  post: post(params => `v0/merchants/${params.affiliationCode}/contacts`,
    contactsInterface),
});
