import { service as addressesService } from './addresses/addresses.js';
import { service as availableBanksService } from './availableBanks/availableBanks.js';
import { service as bankAccountsService } from './bankAccounts/bankAccounts.js';
import { service as contactsService } from './contacts/contacts.js';
import { service as contactTypesService } from './contactTypes/contactTypes.js';
import { service as feesService } from './fees/fees.js';
import { service as merchantService } from './merchant/merchant.js';
import { service as partnersService } from './partners/partners.js';
import { service as simulateSalesService } from './simulateSales/simulateSales.js';
import { service as subscriptionsService } from './subscriptions/subscriptions.js';

const addresses = addressesService();
const availableBanks = availableBanksService();
const bankAccounts = bankAccountsService();
const contacts = contactsService();
const contactTypes = contactTypesService();
const fees = feesService();
const merchant = merchantService();
const partners = partnersService();
const simulateSales = simulateSalesService();
const subscriptions = subscriptionsService();

export {
  addresses,
  availableBanks,
  bankAccounts,
  contacts,
  contactTypes,
  fees,
  merchant,
  partners,
  simulateSales,
  subscriptions,
};
