const { resolve } = require('path');

module.exports = () => ({
  mode: 'development',
  resolve: {
    mainFields: ['module', 'jsnext:main', 'main'],
  },
  context: resolve('./'),
  module: {
    rules: [
      {
        test: /\.js$/,
        use: {
          loader: 'istanbul-instrumenter-loader',
          options: {
            esModules: true,
          },
        },
        exclude: /((node_modules|dist|public)(\\|\/|$)|(test|spec|bundle)\.js$)/,
      },
    ],
  },
});
