const { exec } = require('shelljs');
const { join } = require('path');

console.log('Testing');

const testFiles = join('src/**/*.spec.js');
const nyc = join('node_modules/.bin/nyc');
const nycRc = join('scripts/config/.nycrc');
const mochaWebpack = join('node_modules/.bin/mocha-webpack');
const webpackConfig = join('scripts/config/webpack.spec.config.js');

exec(`${nyc} --nycrc-path ${nycRc} ` +
  `${mochaWebpack} --colors --webpack-config ${webpackConfig} "${testFiles}"`);
