import { sdkRequest } from './index.js';
import * as sdk from '../../v0/src/index.js';

export const getBrands =
  ({ apitoken }, instance) =>
    sdkRequest(() => sdk.transactions.brands.get(), instance, apitoken);

export const getProductTypes =
  ({ apitoken }, instance) =>
    sdkRequest(() => sdk.transactions.productTypes.get(), instance, apitoken);

export const getTransactionProfiles =
  ({ apitoken }, instance) =>
    sdkRequest(() => sdk.transactions.profiles.get(), instance, apitoken);
