import * as transactionsModels from './transactionsModels';

describe('transactionsModels', () => {
  it('Should return correct Brands model.', () => {
    const infoData = {
      data: [
        {
          id: 1,
          name: 'Visa',
        },
        {
          id: 2,
          name: 'MasterCard',
        },
      ],
    };


    const modeledData = [
      {
        id: 1,
        name: 'Visa',
      },
      {
        id: 2,
        name: 'MasterCard',
      },
    ];

    expect(transactionsModels.brandsModel(infoData)).to.be
      .deep.equal(modeledData);
  });

  it('Should return correct Product Types model.', () => {
    const infoData = {
      data: [
        {
          id: 1,
          name: 'Debit',
        },
        {
          id: 2,
          name: 'Credit',
        },
      ],
    };


    const modeledData = [
      {
        id: 1,
        name: 'Debit',
      },
      {
        id: 2,
        name: 'Credit',
      },
    ];

    expect(transactionsModels.productTypesModel(infoData)).to.be
      .deep.equal(modeledData);
  });
});
