import { getRequest, putRequest } from '../../../helpers/request.js';
import { AddressesInterface } from './addressesInterface.js';

export const service = (get = getRequest, put = putRequest) => ({
  get: get(params => `v0/affiliation/merchants/${params.affiliationCode}/addresses`),
  put: put(params => `v0/affiliation/merchants/${params.affiliationCode}/bankaccounts/` +
    `${params.key}`, AddressesInterface),
});
