import * as merchants from './index.js';

describe('Merchants index.js', () => {
  it('Should export exact number of services', () => {
    expect(Object.values(merchants).length).to.be.equal(10);
  });

  it('Should export all expected services', () => {
    expect(merchants.addresses).to.be.not.undefined;
    expect(merchants.availableBanks).to.be.not.undefined;
    expect(merchants.bankAccounts).to.be.not.undefined;
    expect(merchants.contacts).to.be.not.undefined;
    expect(merchants.contactTypes).to.be.not.undefined;
    expect(merchants.fees).to.be.not.undefined;
    expect(merchants.merchant).to.be.not.undefined;
    expect(merchants.partners).to.be.not.undefined;
    expect(merchants.simulateSales).to.be.not.undefined;
    expect(merchants.subscriptions).to.be.not.undefined;
  });
});
