import { getRequest } from '../../../helpers/request.js';

export const service = (get = getRequest) => ({
  get: get(params => 'v0/merchants/financial-institutions' +
      `?document=${params.document}` +
      `${params.ispb ? `&ispb=${params.ispb}` : ''}` +
      `${params.compe ? `&compe=${params.compe}` : ''}`),
});
