import * as partialLock from './index.js';

describe('PartialLock index.js', () => {
  it('Should export exact number of services', () => {
    expect(Object.values(partialLock).length).to.be.equal(4);
  });

  it('Should export all expected services', () => {
    expect(partialLock.bankAccounts).to.be.not.undefined;
    expect(partialLock.creditLockContracts).to.be.not.undefined;
    expect(partialLock.financialInstitutions).to.be.not.undefined;
    expect(partialLock.receivablesFiles).to.be.not.undefined;
  });
});
